/* Syntax for styling an HTML element using external css file.

    SYNTAX:
        selector{
            property1: value1;
            property2: value2;
        }
        h1 {
            color: red;
            font-weight: bold;
        }
*/

html {
    scroll-behavior: smooth;
  }

/* HTML Highest Priority -Inline Style
   HTML Mid Priority -External Style
   HTML Mid Priority -Internal Style
*/
h1{
    color: gray !important;
}

/* This is our Universal Selector */

*{
    font-family: "Courier New", monospace;
    font-size: 20px;

}
/* When accessing an element using its id attribute, we will be using "#" sysmbol to properly use it inside the css file */
#zuitt-motto{
    letter-spacing: 5px;
}
/* When accessing an element using its id attribute, we will be using "." sysmbol to properly use it inside the css file */

.offering-item{
    text-transform: uppercase;
}

input[required]{
    border-width: 2px;
    border-style: solid;
    border-color: navy;
}

/* Adjacent Selector (+)

    Syntax = selector + selector

    Example:
    h3 + img {
        property: value;
        ...
    }
    h3 + img + h2 {
        property: value;
        ...
    }
*/

h3 + img {
    height: 300px;
    width: 300px;
    border-radius: 150px;
}

/* 
Descendant Selector
Syntax = selector selector
*/

#bootcamp-learning-list li{
    color: #075966;
}

/* 
General Sibling Selector (~)
SYNTAX = selector ~ selector
*/

h2 ~ a{
    text-decoration: none;
}

/* 

Registration Form

*/

form {
    text-align: center;
    background-color: white;
    border: 2px solid black;
    height: 230px;
    width: 25vw; /* vw - view port width depends on your screen size */
    position: relative;
    left: 37.25%;
}
button{
    background-color: #cf0053;
    color: white;
    border: 0;
    border-radius: 15px;
}